## docparser 1.0.1

=== debian/changelog ===
docparser (1.0.1-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 23 Dec 2021 20:32:27 +0800

docparser (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- unknown <liuzhangjian@uniontech.com>  Wed, 17 Nov 2021 11:31:29 +0800
