## docparser 1.0.3

=== debian/changelog ===
docparser (1.0.3-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Sat, 07 May 2022 11:02:45 +0800
