## docparser 1.0.4

=== debian/changelog ===
docparser (1.0.4-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Tue, 26 Jul 2022 09:48:36 +0800
