=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
%:
	dh $@
override_dh_installinit:
	true
override_dh_auto_configure:
	dh_auto_configure -- VERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
