## docparser 1.0.10

=== debian/changelog ===
docparser (1.0.10) unstable; urgency=medium

  * update to 1.0.10

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 02 Apr 2024 10:29:06 +0800

docparser (1.0.9) unstable; urgency=medium

  * update to 1.0.9

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 27 Mar 2024 16:42:31 +0800

docparser (1.0.8) unstable; urgency=medium

  * update to 1.0.8.

 -- lvwujun <lvwujun@uniontech.com>  Mon, 04 Mar 2024 13:08:21 +0800

docparser (1.0.7) unstable; urgency=medium

  * update to 1.0.7.

 -- lvwujun <lvwujun@uniontech.com>  Tue, 05 Feb 2024 13:08:21 +0800
