=== debian/control ===
Source: docparser
Section: libdevel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 qtbase5-dev,
 qt5-qmake,
 pkg-config,
 libpoppler-cpp-dev,
 libzip-dev,
 libpugixml-dev,
 libfreetype6-dev|libfreetype-dev,
 libxml2-dev,
 uuid-dev,
 libtinyxml2-dev
Standards-Version: 4.3.0

Package: libdocparser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Document parser library.
 This package contains the shared libraries.

Package: libdocparser-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdocparser
Description: Development files for libdocparser
 This package contains the header files and static libraries
 of libdocparser
