## docparser 1.0.17

=== debian/changelog ===
docparser (1.0.17) unstable; urgency=medium

  * add tests
  * refactor

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 24 Mar 2025 17:28:27 +0800

docparser (1.0.16) unstable; urgency=medium

  * remove symbol visibility settings

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 15 Jan 2025 18:00:49 +0800

docparser (1.0.15) unstable; urgency=medium

  * use so name

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 15 Jan 2025 14:34:49 +0800

docparser (1.0.14) unstable; urgency=medium

  * fix bug
  * 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 07 Jan 2025 13:04:28 +0800

docparser (1.0.13) unstable; urgency=medium

  * Remove Qt
  * Use CMake
  * Use C++17

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 27 Dec 2024 14:06:31 +0800

docparser (1.0.12) unstable; urgency=medium

  * update to 1.0.12

 -- He Xiaodong <hexiaodong@uniontech.com>  Fri, 20 Dec 2024 17:27:53 +0800

docparser (1.0.11) unstable; urgency=medium

  * `htm` supported

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 21 May 2024 19:12:33 +0800
