=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: deepin <packages@deepin.com>
 Build-Depends:
+ cmake,
  debhelper (>= 11),
- qtbase5-dev,
- qt5-qmake,
  pkg-config,
  libpoppler-cpp-dev,
  libzip-dev,
