=== debian/changelog ===
docparser (1.0.21) unstable; urgency=medium

  * enhance CMake configuration for libmagic dependency handling

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 26 Jun 2025 12:49:21 +0800

docparser (1.0.20) unstable; urgency=medium

  *  implement truncation functionality in document parser

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 24 Jun 2025 14:14:45 +0800

docparser (1.0.19) unstable; urgency=medium

  * integrate libmagic for MIME type detection in docparser

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 26 May 2025 14:21:27 +0800

docparser (1.0.18) unstable; urgency=medium

  * refactor

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 22 May 2025 08:28:35 +0800
