=== debian/changelog ===
docparser (1.0.22) unstable; urgency=medium

  * enhance error handling in formula evaluation

 -- liujinchang <liujinchang@uniontech.com>  Tue, 05 Aug 2025 19:35:19 +0800
